OGRE: Ogre::ResourceBackgroundQueue::Request Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ResourceBackgroundQueue::Request Struct Reference

Encapsulates a queued request for the background queue. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Attributes

BackgroundProcessTicket | ticketID
RequestType | type
String | resourceName
ResourceHandle | resourceHandle
String | resourceType
String | groupName
bool | isManual
ManualResourceLoader * | loader
const NameValuePairList * | loadParams
Listener * | listener

## Detailed Description

Encapsulates a queued request for the background queue.

Definition at line 133 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

String Ogre::ResourceBackgroundQueue::Request::groupName

| Definition at line 140 of file OgreResourceBackgroundQueue.h.

bool Ogre::ResourceBackgroundQueue::Request::isManual

| Definition at line 141 of file OgreResourceBackgroundQueue.h.

Listener* Ogre::ResourceBackgroundQueue::Request::listener

| Definition at line 144 of file OgreResourceBackgroundQueue.h.

ManualResourceLoader* Ogre::ResourceBackgroundQueue::Request::loader

| Definition at line 142 of file OgreResourceBackgroundQueue.h.

const NameValuePairList* Ogre::ResourceBackgroundQueue::Request::loadParams

| Definition at line 143 of file OgreResourceBackgroundQueue.h.

ResourceHandle Ogre::ResourceBackgroundQueue::Request::resourceHandle

| Definition at line 138 of file OgreResourceBackgroundQueue.h.

String Ogre::ResourceBackgroundQueue::Request::resourceName

| Definition at line 137 of file OgreResourceBackgroundQueue.h.

String Ogre::ResourceBackgroundQueue::Request::resourceType

| Definition at line 139 of file OgreResourceBackgroundQueue.h.

BackgroundProcessTicket Ogre::ResourceBackgroundQueue::Request::ticketID

| Definition at line 135 of file OgreResourceBackgroundQueue.h.

RequestType Ogre::ResourceBackgroundQueue::Request::type

| Definition at line 136 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:14 2008